<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

$section = isset($_GET['section']) ? $_GET['section'] : null;

if ($section != null)
{
	if (file_exists(FORUM_ROOT.'extensions/pan_converter_extensions/modules/'.$section.'/index.php'))
		require FORUM_ROOT.'extensions/pan_converter_extensions/modules/'.$section.'/index.php';
}
else
{
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array('Converter', forum_link($forum_url['pan_converter_ext'])),
		'Options'
	);

	define('FORUM_PAGE_SECTION', 'pan-converter-ext');
	define('FORUM_PAGE', 'admin-pan-converter-ext');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();
?>
	<div class="main-subhead">
		<h2 class="hn"><span>Converter settings</span></h2>
	</div>

	<div class="main-content main-frm">

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_converter']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_converter_ext'])) ?>" />
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span>Information</span></h2>
			</div>

			<div class="ct-box">
				<p>На этой странице в будущем будут находится настройки расширения.</p>
				<p>Чтобы конвертировать настройки или другую информацию из одного расширения в другое, вам нужно выбрать требуемый модуль.</p>
				<p>О всех ошибках и предложениях сообщайте нам на наш форум PunBB.INFO.</p>
			</div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="Save config" /></span>
			</div>
		</form>
	</div>

<?php
	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
}

require FORUM_ROOT.'footer.php';